RagTime5PipelineInternal::ClustListParser Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
RagTime5PipelineInternal::ClustListParser Struct Referencefinal

Internal: the helper to read a clustList. More...

Inheritance diagram for RagTime5PipelineInternal::ClustListParser:

## Public Member Functions
| ClustListParser (RagTime5ClusterManager &clusterManager, int fieldSize, std::string const &zoneName)
| constructor More...
| ~ClustListParser () final
| destructor More...
std::string | getClusterName (int id) const
| return the cluster name More...
std::vector< int > | getIdList () const
| returns the not null list dataId list More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
int | m_fieldSize
| the field size More...
std::vector< RagTime5StructManager::ZoneLink > | m_linkList
| the list of read cluster More...

## Private Member Functions
| ClustListParser (ClustListParser &orig)=delete
| copy constructor, not implemented More...
ClustListParser & | operator= (ClustListParser &orig)=delete
| copy operator, not implemented More...

## Private Attributes
RagTime5ClusterManager & | m_clusterManager
| the main zone manager More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a clustList.

## Constructor & Destructor Documentation

## ◆ ClustListParser() [1/2]

RagTime5PipelineInternal::ClustListParser::ClustListParser | ( | RagTime5ClusterManager & | clusterManager,
|  | int | fieldSize,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

## ◆ ~ClustListParser()

RagTime5PipelineInternal::ClustListParser::~ClustListParser | ( |  | ) |
| final

destructor

## ◆ ClustListParser() [2/2]

RagTime5PipelineInternal::ClustListParser::ClustListParser | ( | ClustListParser & | orig | ) |
| privatedelete

copy constructor, not implemented

## Member Function Documentation

## ◆ getClusterName()

std::string RagTime5PipelineInternal::ClustListParser::getClusterName | ( | int | id | ) | const
| inline

return the cluster name

Referenced by parseData().

## ◆ getIdList()

std::vector<int> RagTime5PipelineInternal::ClustListParser::getIdList | ( |  | ) | const
| inline

returns the not null list dataId list

## ◆ operator=()

ClustListParser& RagTime5PipelineInternal::ClustListParser::operator= | ( | ClustListParser & | orig | ) |
| privatedelete

copy operator, not implemented

## ◆ parseData()

bool RagTime5PipelineInternal::ClustListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_clusterManager

RagTime5ClusterManager& RagTime5PipelineInternal::ClustListParser::m_clusterManager
| private

the main zone manager

Referenced by getClusterName().

## ◆ m_fieldSize

int RagTime5PipelineInternal::ClustListParser::m_fieldSize

the field size

Referenced by ClustListParser(), and parseData().

## ◆ m_linkList

std::vector<RagTime5StructManager::ZoneLink> RagTime5PipelineInternal::ClustListParser::m_linkList

the list of read cluster

Referenced by getIdList(), and parseData().

The documentation for this struct was generated from the following file:

- RagTime5Pipeline.cxx